<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'laraautos',

    /*
     * Package.
     */
    'package'   => 'dealer',

    /*
     * Modules.
     */
    'modules'   => ['dealer'],

    
    'dealer'       => [
        'model' => [
            'model' => \Laraautos\Dealer\Models\Dealer::class,
            'repository' => \Laraautos\Dealer\Repositories\Eloquent\DealerRepository::class,
            'table' => 'dealers',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'dealership_make',  'phone',  'website',  'email',  'opening_from',  'opening_to',  'location',  'lat',  'lng',  'dealer_type',  'social_media',  'description',  'images',  'logo',  'slug',  'user_id',  'user_type',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'dealer/dealer',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Laraautos',
            'package' => 'Dealer',
            'module' => 'Dealer',
        ],
    ],
];
