<?php

namespace Laraautos\Dealer\Forms;

use Litepie\Form\FormInterpreter;

class Dealer extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('dealer/dealer/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('dealer/dealer/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('dealer/dealer'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('dealer/dealer'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('dealer/dealer'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('dealer/dealer'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('dealer::dealer.label.name'),
                "placeholder" => trans('dealer::dealer.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('dealer::dealer.label.created_at'),
            'name' => trans('dealer::dealer.label.name'),
            'status' => trans('dealer::dealer.label.status'),
        ];
        self::$groups = [
            'main' => trans('dealer::dealer.groups.main'),
            'details' => trans('dealer::dealer.groups.details'),
            'images' => trans('dealer::dealer.groups.images'),
            'settings' => trans('dealer::dealer.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('dealer::dealer.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('dealer::dealer.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('dealer::dealer.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('dealer::dealer.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('dealer::dealer.label.name'),
                "placeholder" => trans('dealer::dealer.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'dealership_make' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('dealer::dealer.label.dealership_make'),
                "placeholder" => trans('dealer::dealer.placeholder.dealership_make'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'phone' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('dealer::dealer.label.phone'),
                "placeholder" => trans('dealer::dealer.placeholder.phone'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'website' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('dealer::dealer.label.website'),
                "placeholder" => trans('dealer::dealer.placeholder.website'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'email' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('dealer::dealer.label.email'),
                "placeholder" => trans('dealer::dealer.placeholder.email'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'opening_from' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('dealer::dealer.label.opening_from'),
                "placeholder" => trans('dealer::dealer.placeholder.opening_from'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'opening_to' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('dealer::dealer.label.opening_to'),
                "placeholder" => trans('dealer::dealer.placeholder.opening_to'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'location' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('dealer::dealer.label.location'),
                "placeholder" => trans('dealer::dealer.placeholder.location'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'lat' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('dealer::dealer.label.lat'),
                "placeholder" => trans('dealer::dealer.placeholder.lat'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'lng' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('dealer::dealer.label.lng'),
                "placeholder" => trans('dealer::dealer.placeholder.lng'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'dealer_type' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('dealer::dealer.label.dealer_type'),
                "placeholder" => trans('dealer::dealer.placeholder.dealer_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'social_media' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('dealer::dealer.label.social_media'),
                "placeholder" => trans('dealer::dealer.placeholder.social_media'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('dealer::dealer.label.description'),
                "placeholder" => trans('dealer::dealer.placeholder.description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images' => [
                "element" => 'file',
                "type" => 'images',
                "label" => trans('dealer::dealer.label.images'),
                "placeholder" => trans('dealer::dealer.placeholder.images'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'logo' => [
                "element" => 'file',
                "type" => 'images',
                "label" => trans('dealer::dealer.label.logo'),
                "placeholder" => trans('dealer::dealer.placeholder.logo'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
