<?php

namespace Laraautos\Dealer\Repositories\Eloquent;

use Laraautos\Dealer\Interfaces\DealerRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Laraautos\Dealer\Repositories\Eloquent\Presenters\DealerItemPresenter;


class DealerRepository extends BaseRepository implements DealerRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('laraautos.dealer.dealer.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('laraautos.dealer.dealer.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return DealerItemPresenter::class;
    }
}
