<?php

namespace Laraautos\Dealer\Repositories\Eloquent\Presenters;

use Litepie\Repository\Presenter\Presenter;

class DealerItemPresenter extends Presenter
{

    public function itemLink()
    {
        return guard_url('dealer/dealer') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray()
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'name' => $this->name,
            'dealership_make' => $this->dealership_make,
            'phone' => $this->phone,
            'website' => $this->website,
            'email' => $this->email,
            'opening_from' => $this->opening_from,
            'opening_to' => $this->opening_to,
            'location' => $this->location,
            'lat' => $this->lat,
            'lng' => $this->lng,
            'dealer_type' => $this->dealer_type,
            'social_media' => $this->social_media,
            'description' => $this->description,
            'images' => $this->images,
            'logo' => $this->logo,
            'slug' => $this->slug,
            'user_id' => $this->user_id,
            'user_type' => $this->user_type,
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
            ],
        ];
    }
}
